@charset "UTF-8";

.font-condensed{
    font-family: "Roboto Condensed", sans-serif;
    font-optical-sizing: auto;
}
.fa-duotone:after{
    --fa-secondary-opacity: .3;
}
body{
    font-family: "Segoe UI", var(--bs-font-sans-serif);
    /*--bs-body-color: var(--mdc-gray-700, #616161);*/
}
svg {
  width: 1em; 
  height: 1em;
  fill: currentColor;
}
a{
    transition: .2s;
}
a:not(:hover, :focus, :active){
    text-decoration: none;
}
[id].scroll-margin-top {
  scroll-margin-top: 80px;
}

/* ============================================
   Swiper */
.swiper {
    /* Define el color principal de Swiper (paginación, bordes activos, etc.) */
    --swiper-theme-color: var(--bs-primary); /* Utilizamos el primary de Bootstrap por defecto */
    /* Define el color de las flechas de navegación */
    --swiper-navigation-color: var(--bs-light); 
    /* Tamaño de las flechas para mejorar el Touch Target (UX Móvil) */
    --swiper-navigation-size: 28px;
}
/* Ajustes de las flechas de navegación (UI) */
.swiper-button-next,
.swiper-button-prev {
    background-color: rgba(var(--bs-dark-rgb), 0.4);
    width: 2rem;
    height: 2rem;
    --swiper-navigation-size: 1rem;
    border-radius: 50%;
    transition: background-color 0.3s ease;
}
.swiper-button-next:hover,
.swiper-button-prev:hover {
background-color: rgba(var(--bs-dark-rgb), 0.8);
}
/* Ajuste universal para imágenes de la galería */
.swiper-slide img {
    display: block;
    width: 100%;
    height: 100%;
    object-fit: cover;
}